Name:           perl-Email-Simple
Version:        2.005
Release:        1%{?dist}
Summary:        Simple parsing of RFC2822 message format and headers

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Email-Simple/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/Email-Simple-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)

BuildArch:      noarch
BuildRequires:  perl(Carp)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::MinimumVersion)
BuildRequires:  perl(Test::More) >= 0.47
BuildRequires:  perl(Test::Pod) >= 1.14
BuildRequires:  perl(Test::Pod::Coverage) >= 1.08
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
"Email::Simple" is the first deliverable of the "Perl Email Project", a
reaction against the complexity and increasing bugginess of the
"Mail::*" modules. In contrast, "Email::*" modules are meant to be
simple to use and to maintain, pared to the bone, fast, minimal in their
external dependencies, and correct.


%prep
%setup -q -n Email-Simple-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} $RPM_BUILD_ROOT


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc Changes LICENSE README
%{perl_vendorlib}/Email/
%{_mandir}/man3/Email::Simple.3pm*
%{_mandir}/man3/Email::Simple::Header.3pm*

%changelog
* Mon Mar 19 2012 Paul Howarth <paul@city-fan.org> - 2.005-1
- Update to 2.005, needed for perl-Email-MIME (#725225)
  - Huge improvement to speed of bodyless message parsing
  - More documentation of header class
  - New Header crlf defaults to real CRLF
  - Change initialization order to unbreak Email::MIME
  - Do not return ->body from ->body_set to simplify subclass behavior
  - Improve tests
  - Publicize default_header_class method
  - Remove the long-deprecated Headers.pm
  - Add repository metadata
- BR: perl(ExtUtils::MakeMaker) for module build
- BR: perl(Carp) for module
- BR: perl(Test::MinimumVersion) and perl(Test::More) ≥ 0.47 for test suite
- Fix license tag
- Don't use macros for commands
- Don't need to remove empty directories from buildroot
- Use DESTDIR rather than PERL_INSTALL_ROOT
- Use %%{_fixperms} macro rather than our own chmod incantation
- Make %%files list more explicit
- Drop %%defattr, redundant since rpm 4.4

* Fri Nov 16 2007 Rob Myers <rob.myers@gtri.gatech.edu> - 1.999-1.1
- drop BuildRequire on perl(Email::MIME) which is not strictly necessary and
  creates a circular dependency

* Fri Mar 23 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.999-1
- Update to 1.999.

* Sat Feb 10 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.998-1
- Update to 1.998.

* Fri Dec  1 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.996-1
- Update to 1.996.

* Thu Oct 19 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.995-1
- Update to 1.995.

* Sat Oct  7 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.992-1
- Update to 1.992.

* Wed Sep  6 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.990-1
- Update to 1.990.

* Mon Aug 28 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.980-1
- Update to 1.980.

* Sat Jul 29 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.96-1
- Update to 1.96.

* Sat Jul 22 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.95-1
- Update to 1.95.

* Tue Jul 11 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.94-1
- Update to 1.94.

* Thu Sep 08 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.92-1
- First build.
